[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.Index

Index- is the sequence number for the button in ButtonList.

## Declaration

Source position: comctrls.pp line 2193

`public property TToolButton.Index : Integer read GetIndex;`

## Description

Index is a read-only Integer property with the sequence number for the current button in the list of buttons. When the internal toolbar button list has been assigned, its IndexOf method is called to get the position for the current class instance in the toolbar control. When the internal toolbar is unassigned (contains Nil), the value -1 is used as the return value.

## See also

TToolBar.Buttons |  | Lists with the tool buttons on the tool bar.
TToolBar.ButtonList |  | Contains the Buttons defined for the tool bar control.